summarylogtreecommitdiffstats
path: root/cfengine.install
diff options
context:
space:
mode:
authorKuba Serafinowski2013-11-14 22:32:19 +0200
committerKuba Serafinowski2013-11-14 22:32:19 +0200
commit1605ac6066c7d0e354e50ac408346100d5e0fda2 (patch)
treee7580199f91740f181f20bdd23b8853ec1477e0f /cfengine.install
parent2b18a11be16e4bbb21ba1510bfc6a7e71df2277c (diff)
downloadaur-1605ac6066c7d0e354e50ac408346100d5e0fda2.tar.gz
cfengine: lots of changes and 3.5.2
Diffstat (limited to 'cfengine.install')
-rw-r--r--cfengine.install11
1 files changed, 11 insertions, 0 deletions
diff --git a/cfengine.install b/cfengine.install
new file mode 100644
index 00000000000..f8eba1f0d57
--- /dev/null
+++ b/cfengine.install
@@ -0,0 +1,11 @@
+post_install() {
+
+ if [ ! -f /var/lib/cfengine/ppkeys/localhost.priv ]; then
+ cf-key > /dev/null
+ fi
+
+ if ! [ -f /var/lib/cfengine/masterfiles/promises.cf ]; then
+ cp -R /usr/share/CoreBase/* /var/lib/cfengine/masterfiles/
+ fi
+
+}